# Command Line Parameters

All command line parameters are case-insensitive.
-portable - GZDB only.
The editor will be launched in portable mode. It will use the "GZBuilder.cfg" located in the program directory instead of the one located in the "%LocalAppData%\Doom Builder\GZBuilder.cfg" to load and save program settings. Log and crash report files will be also created in the program directory.
-nosettings
The editor doesn't load or save program settings.
-delaywindow
Delays showing of the main window.
-map "path\to\mapfile.wad"
The editor will automatically load the specified map.

## The following parameters are used only in conjunction with the "-map" parameter

They replicate the settings, which can be set in the Open Map Window.
-strictpatches
Enables strict patches rules.
-cfg "path\to\game configuration.cfg"
-config "path\to\game configuration.cfg"
The editor will use the specified game configuration file when loading the map.
-resource <resource type> [flags] "path\to\resource"
Adds a map resource.
Resource type (required): "wad", "dir" or "pk3".
Flags (optional):

- ROOTTEXTURES - load images in the root directory of the resource as textures.
- ROOTFLATS - load images in the root directory of the resource as flats.
- STRICTPATCHES - use strict rules for patches.
- NOTEST - exclude this resource from testing parameters.

Examples:

      -resource pk3 notest "c:\GZDoom\gzdoom.pk3"
      -resource WAD "c:\Doom\DOOM.WAD"